iónico incapaz de agregar SocialSharing-PhoneGap-Plugin

Intento utilizar SocialSharing-PhoneGap-Plugin en mi primer desarrollo de aplicaciones, https://github.com/EddyVerbruggen/SocialSharing-PhoneGap-Plugin#web-share-api

He intentado seguir el command:

Complemento cordova agregar SocialSharing-PhoneGap-Plugin

El complemento cordova agrega https://github.com/EddyVerbruggen/SocialSharing-PhoneGap-Plugin.git

pero me da el mismo error. ¿Alguien sabe cuál es el problema? enter image description here

Algunos complementos pueden instalarse en versiones específicas de cordova.

así que baja la versión de Cordova y vuelve a intentar instalar ese complemento.

si su versión de cordova es 7+, rebaje a 6.5.0

npm install -g cordova@6.5.0

El nombre del complemento distingue entre mayúsculas y minúsculas, por lo que el correcto es:

cordova plugin rm cordova-plugin-x-socialsharing